Loading...
Searching...
No Matches
Opm::EmptyRestrictProlong Class Reference

## Public Member Functions

template<class Field>
void | setFatherChildWeight (const Field &) const
| explicit set volume ratio of son and father
template<class Entity>
void | restrictLocal (const Entity &, const Entity &, bool) const
| restrict data to father
template<class Entity, class LocalGeometry>
void | restrictLocal (const Entity &, const Entity &, const LocalGeometry &, bool) const
| restrict data to father
template<class Entity>
void | prolongLocal (const Entity &, const Entity &, bool) const
| prolong data to children
template<class Entity, class LocalGeometry>
void | prolongLocal (const Entity &, const Entity &, const LocalGeometry &, bool) const
| prolong data to children
template<class Communicator>
void | addToList (Communicator &)
| add discrete function to communicator
template<class LoadBalancer>
void | addToLoadBalancer (LoadBalancer &)
| add discrete function to load balancer

## Member Function Documentation

## addToList()

template<class Communicator>

void Opm::EmptyRestrictProlong::addToList | ( | Communicator & |  | ) |

inline

add discrete function to communicator

Parameters

  [in] | comm | Communicator to add the discrete functions to

## addToLoadBalancer()

template<class LoadBalancer>

void Opm::EmptyRestrictProlong::addToLoadBalancer | ( | LoadBalancer & |  | ) |

inline

add discrete function to load balancer

Parameters

  [in] | lb | LoadBalancer to add the discrete functions to

## setFatherChildWeight()

template<class Field>

void Opm::EmptyRestrictProlong::setFatherChildWeight | ( | const Field & |  | ) | const

inline

explicit set volume ratio of son and father

Parameters

  [in] | weight | volume of son / volume of father

Note
  If this ratio is set, it is assume to be constant.

The documentation for this class was generated from the following file:

- opm/models/discretization/common/restrictprolong.hh